import { Node, Program } from 'estree';
import { SourceRange } from '../model/model';
import { Options, ParsedDocument, StringifyOptions } from '../parser/document';
import { Visitor } from './estree-visitor';
export { Visitor } from './estree-visitor';
export declare class JavaScriptDocument extends ParsedDocument<Node, Visitor> {
    type: string;
    private visitorSkips;
    ast: Program;
    constructor(from: Options<Program>);
    visit(visitors: Visitor[]): void;
    forEachNode(callback: (node: Node) => void): void;
    protected _sourceRangeForNode(node: Node): SourceRange | undefined;
    stringify(options: StringifyOptions): string;
}
